Skip to content

getMaterials

READ

Get materials.

POST /api/v1/items/getMaterials
curl -X POST '<your-host>/api/v1/items/getMaterials' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "active": true,
      "defaultMethodType": "Purchase to Order",
      "description": "string",
      "itemTrackingType": "Inventory",
      "name": "string",
      "unitOfMeasureCode": "string",
      "revision": "string",
      "readableId": "string",
      "readableIdWithRevision": "string",
      "id": "string",
      "companyId": "string",
      "thumbnailPath": "string",
      "supplierIds": "string",
      "unitOfMeasure": "string",
      "revisions": "…",
      "materialForm": "string",
      "materialSubstance": "string",
      "dimensions": "string",
      "finish": "string",
      "grade": "string",
      "materialType": "string",
      "materialSubstanceId": "string",
      "materialFormId": "string",
      "customFields": "…",
      "tags": [
        "string"
      ],
      "itemPostingGroupId": "string",
      "createdBy": "string",
      "createdAt": "string",
      "updatedBy": "string",
      "updatedAt": "string",
      "supersessionMode": "Consume First",
      "mpn": "string",
      "suppliers": [
        "string"
      ]
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        },
        "supplierId": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  }
}